Package com.independentsoft.office

# Class AlternateContentChoice

java.lang.Object
com.independentsoft.office.AlternateContentChoice

public class AlternateContentChoice extends Object
Represents a single `mc:Choice` alternative inside an `AlternateContent` block. The choice applies when the consumer understands every namespace prefix listed in the `Requires` attribute.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlternateContentChoice()`
  Instantiates a new alternate content choice.
  `AlternateContentChoice​(InternalXMLStreamReader reader)`
  Instantiates a new alternate content choice.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AlternateContentChoice`
  `clone()`
  `String`
  `getInnerXml()`
  Gets the raw XML payload of this choice.
  `List<Map.Entry<String,​String>>`
  `getRequiredNamespaces()`
  Gets the resolved (prefix, namespace) pairs for the `Requires` prefixes; they are re-declared on the emitted `mc:Choice` start tag.
  `String`
  `getRequires()`
  Gets the space-delimited list of namespace prefixes the consumer must understand for this choice to apply (the `Requires` attribute).
  `void`
  `setInnerXml​(String innerXml)`
  Sets the raw XML payload of this choice.
  `void`
  `setRequires​(String requires)`
  Sets the space-delimited list of namespace prefixes the consumer must understand for this choice to apply (the `Requires` attribute).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AlternateContentChoice

    public AlternateContentChoice()
    Instantiates a new alternate content choice.

  - ### AlternateContentChoice

    public AlternateContentChoice​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new alternate content choice.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public AlternateContentChoice clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRequires

    public String getRequires()
    Gets the space-delimited list of namespace prefixes the consumer must understand for this choice to apply (the `Requires` attribute).
    Returns:
      the requires

  - ### setRequires

    public void setRequires​(String requires)
    Sets the space-delimited list of namespace prefixes the consumer must understand for this choice to apply (the `Requires` attribute).
    Parameters:
      `requires` - the new requires

  - ### getRequiredNamespaces

    public List<Map.Entry<String,​String>> getRequiredNamespaces()
    Gets the resolved (prefix, namespace) pairs for the `Requires` prefixes; they are re-declared on the emitted `mc:Choice` start tag.
    Returns:
      the required namespaces

  - ### getInnerXml

    public String getInnerXml()
    Gets the raw XML payload of this choice.
    Returns:
      the inner XML

  - ### setInnerXml

    public void setInnerXml​(String innerXml)
    Sets the raw XML payload of this choice.
    Parameters:
      `innerXml` - the new inner XML